Subject: Re: [PATCH v7 3/6] t0021: write "OUT <size>" only on success

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 Jun 2017 14:26:22 -0700

Lars Schneider <[email-masked]> writes:

> Correct! Sorry for the confusion. How about this?
>
>     "rot13-filter.pl" always writes "OUT <size>" to the debug log at the end
>     of a response.
>
>     This works perfectly for the existing responses "abort", "error", and 
>     "success". A new response "delayed", that will be introduced in a
>     subsequent patch, accepts the input without giving the filtered result
>     right away. At this point we cannot know the size of the response.
>     Therefore, we do not write "OUT <size>" for "delayed" responses.
>
>     To simplify the code we do not write "OUT <size>" for "abort" and
>     "error" responses either as their size is always zero.

That unconfuses me tremendously.

Unless there are other issues in v7 (which I am not aware of but
there may be somebody else slow responding), I plan to amend the log
message with the above, so no need to resend.

Thanks.